<template>
  <v-dialog
    v-model="dialog"
    scrollable
    attach="#app"
    v-bind="$attrs"
    width="500px"
    @click:outside="close"
  >
    <v-card>
      <v-card-title>
        <span v-if="i18n" class="text-h5">{{ $t(i18n) }}</span>
      </v-card-title>

      <v-card-actions>
        <v-spacer />
        <v-btn color="error" text @click="close">
          {{ $t("form.no") }}
        </v-btn>
        <v-btn color="success" text @click="confirm">
          {{ $t("form.yes") }}
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: "ConfirmDialog",
  data() {
    return {
      i18n: undefined,
      dialog: false,
      resolve: undefined,
    };
  },
  methods: {
    getConfirmation(i18n) {
      this.i18n = i18n;
      this.dialog = true;
      return new Promise((resolve) => {
        this.resolve = resolve;
      });
    },
    close() {
      this.dialog = false;
      this.resolve(false);
    },
    confirm() {
      this.dialog = false;
      this.resolve(true);
    },
  },
};
</script>
